Subject: bug#41006: 26.3; regular expressions documentation

From: Richard Stallman <[email-masked]>
Date: Wed, 06 May 2020 22:40:52 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Thanks for explaining.  My suggestion was simply to have it all under
  > one node: "Regular Expressions".  The idea being that when you go
  > there, you probably also want to know how to use them.

The problem with a long node is that, when something links to that node,
it is not easy to find what the pertinent text in that node.
For example, if the text about re-search-forward is in a large node,
the link from the index will point to the start of the node.
It will be a hassle to find that text in the node.

Therefore we subdivide nodes when they are inconveniently long.

Having a parent node with a number of subnodes is the way we
handle this.  The Lisp Manual already seems to be set up that way.
Do you think a change is needed there?

It looks like the Emacs Manual could use a small reorganization to a similar
structure.  Would you like to propose a patch?

-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)